## Class user_service

zeep::http::user_service — The user service class, provding user data used for authentication.

## Synopsis

    // In header: <zeep/http/security.hpp>

    class user_service {
    public:
      // construct/copy/destruct
      ();
      ~();

      // public member functions
      user_details () ;
    };

## Description

This is an abstract base class for a user service.

### `user_service` public construct/copy/destruct

1.     ();

2.     ~();

### `user_service` public member functions

1.     user_details ( username) ;

   return the `user_details` for a user named username